import http from "../http-common";
import store from "../store/index";

class DataService {

  search() : boolean {
    const data = http.post('home');
    if(data != null) {
      this.storeData(data)
      return true;
    }
    return false;
  }

  //All data has to be managed and stored from here (Exception Handling)
  storeData(data: any) {
    data.then(
      (response: {
        data: {
          CompleteProb: number;
          FallProb: number;
          ComplianceProb: number;
          CompleteShapValues: any;
          FallShapValues: any;
          Arguments: any;
        };
      }) => {
        store.dispatch("addProbabilityComplete", response.data.CompleteProb);
        store.dispatch("addProbabilityFall", response.data.FallProb);
        store.dispatch("addCompliance", response.data.ComplianceProb);
        store.dispatch("arguments", response.data.Arguments);
        store.dispatch("shapComplete", response.data.CompleteShapValues);
        store.dispatch("shapFall", response.data.FallShapValues);  
      }
    );
  }
}

export default new DataService();
